There is an updated edition of this book available! View Latest Edition

To follow along with this book, you’ll need the following:

  • Git 2.28 or later. Git is the software package you’ll use for all the work in this book. There are installers for macOS, Windows and Linux available for free from the official Git page here: https://git-scm.com/downloads. We’ve tested this book on Git 2.28.0, but you can follow along with older versions of Git as well.

Have a technical question? Want to report a bug? You can ask questions and report bugs to the book authors in our official book forum here.

© 2022 Razeware LLC